Page MenuHome

install_deps.sh script fails to download boost from source forge.
Closed, ArchivedPublic

Description

System Information
Operating system: MacOS 10.14.5
Graphics card: Radeon Pro 560X 4 GB / Intel UHD Graphics 630 1536 MB

Blender Version
Broken: 2.80, 079c7f918c8, master, 2019-06-01

Short description of error
While following these instructions https://blender.stackexchange.com/questions/117200/how-to-build-blender-as-a-python-module

./blender/build_files/build_environment/install_deps.sh
...
Building Boost-1.68.0
Ensuring /opt/lib exists and is writable by us
Downloading Boost-1.68.0
WARNING: timestamping does nothing in combination with -O. See the manual
for details.

URL transformed to HTTPS due to an HSTS policy
--2019-06-02 16:34:01--  https://sourceforge.net/projects/boost/files/boost/1.68.0/boost_1_68_0.tar.bz2/download
Resolving sourceforge.net (sourceforge.net)... 216.105.38.13
Connecting to sourceforge.net (sourceforge.net)|216.105.38.13|:443... connected.
HTTP request sent, awaiting response...
  HTTP/1.1 200 OK
  Server: nginx/1.14.0 (Ubuntu)
  Date: Sun, 02 Jun 2019 06:34:02 GMT
  Content-Type: text/html; charset=utf-8
  Content-Length: 256418
  Connection: keep-alive
  Pragma: no-cache
  Cache-Control: no-cache
  X-UA-Compatible: IE=edge,chrome=1
  X-Frame-Options: SAMEORIGIN
  Content-Security-Policy: upgrade-insecure-requests
  Set-Cookie: VISITOR=29ed7573-d64e-45c3-8827-77b0844d3c84; Max-Age=315360000; Path=/; expires=Wed, 30-May-2029 06:34:02 GMT; HttpOnly
  Set-cookie: sourceforge=730f16238260773d111f15c93034a4f46dd0aa68gAJ9cQEoVRhwZXJzaXN0ZW50X3FzLjRmZDRhNTZjNDNxAohVBXByZWZzcQN9cQRVA2tleXEFVSQyOWVkNzU3My1kNjRlLTQ1YzMtODgyNy03N2IwODQ0ZDNjODRxBlUDX2lkcQdVIGZmNDcwYzUzNTQ1YjQwNDJiOGEwMDdmNjUxYmM2NDM0cQhVDl9hY2Nlc3NlZF90aW1lcQlHQdc823afiCJVBmRsaGlzdHEKXXELfXEMKFUHcmVsZWFzZXENfXEOKFUEZGF0ZXEPY2RhdGV0aW1lCmRhdGV0aW1lCnEQVQoH4ggIDDMaAAAAhVJxEVUKc2ZfZmlsZV9pZHESSjFItQFVCGZpbGVuYW1lcRNYIgAAAC9ib29zdC8xLjY4LjAvYm9vc3RfMV82OF8wLnRhci5iejJxFHVVB3Byb2plY3RxFX1xFihVCXNob3J0bmFtZXEXWAUAAABib29zdHEYVQVzZl9pZHEZTaIdVQRuYW1lcRpYEwAAAEJvb3N0IEMrKyBMaWJyYXJpZXNxG3V1YVUOX2NyZWF0aW9uX3RpbWVxHEdB1zzbdp+IHnUu; expires=Tue, 19-Jan-2038 03:14:07 GMT; httponly; Path=/; secure
  X-Content-Type-Options: nosniff
  Strict-Transport-Security: max-age=31536000
Length: 256418 (250K) [text/html]
Saving to: ‘/Users/derwent/src/blender-deps/boost-1.68.0.tar.bz2.html’

/Users/derwent/src/blender-deps/boost-1.68.0.tar.bz2.html   100%[========================================================================================================================================>] 250.41K   348KB/s    in 0.7s

2019-06-02 16:34:03 (348 KB/s) - ‘/Users/derwent/src/blender-deps/boost-1.68.0.tar.bz2.html’ saved [256418/256418]

bzip2: (stdin) is not a bzip2 file.
tar: Child returned status 2
tar: Error is not recoverable: exiting now
./blender/build_files/build_environment/install_deps.sh: line 1266: cd: /Users/derwent/src/blender-deps/boost-1.68.0: No such file or directory
./blender/build_files/build_environment/install_deps.sh: line 1268: ./bootstrap.sh: No such file or directory
./blender/build_files/build_environment/install_deps.sh: line 1270: ./b2: No such file or directory
./blender/build_files/build_environment/install_deps.sh: line 1272: ./b2: No such file or directory
ERROR! Boost-1.68.0 failed to compile, exiting

wget does not correctly download the file in bzip format from sourceforge.

file /Users/derwent/src/blender-deps/boost-1.68.0.tar.bz2
/Users/derwent/src/blender-deps/boost-1.68.0.tar.bz2: HTML document text, UTF-8 Unicode text, with very long lines

Exact steps for others to reproduce the error
Based on the default startup or an attached .blend file (as simple as possible).

on a macOS machine, run the build_files/build_environment/install_deps.sh script

Best way to get around this is to manually download the correct boost version from sourceforge and re-run

Details

Type
Bug

Event Timeline

There may be an issue in the script, but note that install_deps.sh is for Linux only. It does not work correctly on macOS and precompiled libraries should be used instead.
https://wiki.blender.org/wiki/Building_Blender/Dependencies

Sergey Sharybin (sergey) triaged this task as Needs Information from User priority.

I can not confirm this. But something is quite disturbing about the attached output:

  • We don't use timestamping, and i don't see this message (the timestamping and -O combination)
  • I also don't see that level of verbosity which is followed after "awaiting response".

Make sure your wget is a stock install from brew, without any aliases or wrapper scripts applied on top.

Brecht Van Lommel (brecht) closed this task as Archived.EditedJul 25 2019, 4:31 PM
Brecht Van Lommel (brecht) claimed this task.

I don't think it's worth investigating this, install_deps.sh just was never meant to work on macOS and there are likely incompatibilities in the shell or commands that cause various failures.

There's probably dozens of things to change before this works on macOS, not something we can handle through back and forth in a bug report